
From: Andrew Morton <akpm@osdl.org>

Older gcc's don't do that.

Cc: Steve Dickson <SteveD@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfs/nfs-fscache.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

diff -puN fs/nfs/nfs-fscache.c~nfs-patch-for-fscache-fixes fs/nfs/nfs-fscache.c
--- 25/fs/nfs/nfs-fscache.c~nfs-patch-for-fscache-fixes	2005-06-14 16:00:06.000000000 -0700
+++ 25-akpm/fs/nfs/nfs-fscache.c	2005-06-14 16:00:06.000000000 -0700
@@ -46,8 +46,10 @@ static void nfs_cache_server_update(void
 struct fscache_index_def nfs_cache_server_index_def = {
 	.name			= "servers",
 	.data_size		= 18,
-	.keys[0]		= { FSCACHE_INDEX_KEYS_IPV6ADDR, 16 },
-	.keys[1]		= { FSCACHE_INDEX_KEYS_BIN, 2 },
+	.keys			= {
+					{ FSCACHE_INDEX_KEYS_IPV6ADDR, 16 },
+					{ FSCACHE_INDEX_KEYS_BIN, 2 },
+				  },
 	.match			= nfs_cache_server_match,
 	.update			= nfs_cache_server_update,
 };
@@ -62,8 +64,10 @@ static void nfs_cache_fh_update(void *so
 struct fscache_index_def nfs_cache_fh_index_def = {
 	.name			= "fh",
 	.data_size		= NFS_CACHE_FH_INDEX_SIZE,
-	.keys[0]		= { FSCACHE_INDEX_KEYS_BIN_SZ2,
-				    sizeof(struct nfs_fh) },
+	.keys			= {
+					{ FSCACHE_INDEX_KEYS_BIN_SZ2,
+				    		sizeof(struct nfs_fh) },
+				  },
 	.match			= nfs_cache_fh_match,
 	.update			= nfs_cache_fh_update,
 };
_
